$ErrorActionPreference = 'Stop'; # stop on all errors
$packageName = 'yarn'
$packageArgs = @{
  packageName = $packageName
  softwareName = 'Yarn*'
  fileType = 'msi'
  silentArgs = "/qn /norestart /l*v `"$env:TEMP\chocolatey\$($packageName)\$($packageName).MsiInstall.log`""
  validExitCodes = @(0, 3010, 1641)
  checksumType = 'sha256'

  url = 'https://yarnpkg.com/downloads/0.15.0/yarn-0.15.0.msi'
  checksum = 'AB878B8D188257E6D3B127873610AA80D37C51B3FF1E0A0DD321ADBFACC738FE'
}

Install-ChocolateyPackage @packageArgs
